com.github.lgooddatepicker.zinternaltools

## Class DateChangeEvent

- java.lang.Object
- - com.github.lgooddatepicker.zinternaltools.DateChangeEvent

    public class DateChangeEvent
    extends Object

DateChangeEvent, An instance of this event class is passed to each registered DateChangeListener, each time that the date in a date picker changes.

### Constructor Summary

Constructors
Constructor and Description
`DateChangeEvent(DatePicker source, LocalDate oldDate, LocalDate newDate)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`LocalDate` `getNewDate()` getNewDate, Returns the new value of the DatePicker date.
`LocalDate` `getOldDate()` getOldDate, Returns the previous value of the DatePicker date.
`DatePicker` `getSource()` getSource, Returns the date picker that generated the event.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DateChangeEvent

    public DateChangeEvent(DatePicker source,
                           LocalDate oldDate,
                           LocalDate newDate)

Constructor.

### Method Detail

#### getSource

    public DatePicker getSource()

getSource, Returns the date picker that generated the event.

#### getOldDate

    public LocalDate getOldDate()

getOldDate, Returns the previous value of the DatePicker date. This is the value that existed before the date was changed.

#### getNewDate

    public LocalDate getNewDate()

getNewDate, Returns the new value of the DatePicker date. This is the value that currently exists. (Put in another way, this is the value that exists after the date was changed.)